-- Button class
local Button = {}
Button.__index = Button

function Button:new(x, y, w, h, text, action)
	local button = setmetatable({}, Button)
	button.x = x
	button.y = y
	button.w = w
	button.h = h
	button.text = text
	button.action = action
	button.hovered = false
	return button
end

function Button:draw()
	if self.hovered then
		love.graphics.setColor(0.5, 0.5, 0.5) -- highlight color when the button is being hovered over
	else
			love.graphics.setColor(1, 1, 1)
		end
	love.graphics.rectangle("line", self.x, self.y, self.w, self.h)
	love.graphics.printf(self.text, self.x, self.y + self.h / 2 - 8, self.w, "center")
end

function Button:isOn	(x, y)
	return x > self.x and x < self.x + self.w and y > self.y and y < self.y + self.h
end

return Button
