-- menu.lua

-- Menu class
local Menu = {}
Menu.__index = Menu

function Menu:new(buttons)
	local menu = setmetatable({}, Menu)
	menu.buttons = buttons
	return menu
end

function Menu:update(dt)
	-- TODO: handle update logic if needed
end

function Menu:draw()
	for i, button in ipairs(self.buttons) do
		button:draw()
	end
end

function Menu:mousepressed(x, y, button)
	if button ~= 1 then
		return
	end
	
	for i, button in ipairs(self.buttons) do
		if button:isOn	(x, y) then
			button.action()
		end
	end
end

function Menu:isMoved(x, y)
	for _, button in ipairs(self.buttons) do
		if button:isOn	(x, y) then
			button.hovered = true
		else
			button.hovered = false
		end
	end
end

return Menu